# TempMarkerSet
Date: 2018-12-06

com.massivecraft.factions.integration.dynmap

## Class TempMarkerSet

- java.lang.Object
- - com.massivecraft.factions.integration.dynmap.TempMarkerSet

    public class TempMarkerSet
    extends java.lang.Object

### Field Summary

Fields
`boolean` `hideByDefault`
`java.lang.String` `label`
`int` `minimumZoom`
`int` `priority`

### Constructor Summary

Constructors
Constructor and Description
`TempMarkerSet()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.dynmap.markers.MarkerSet` `create(org.dynmap.markers.MarkerAPI markerApi, java.lang.String id)`
`void` `update(org.dynmap.markers.MarkerSet markerset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### label

    public java.lang.String label

#### minimumZoom

    public int minimumZoom

#### priority

    public int priority

#### hideByDefault

    public boolean hideByDefault

### Constructor Detail

#### TempMarkerSet

    public TempMarkerSet()

### Method Detail

#### create

    public org.dynmap.markers.MarkerSet create(org.dynmap.markers.MarkerAPI markerApi,
                                               java.lang.String id)

#### update

    public void update(org.dynmap.markers.MarkerSet markerset)